Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deFileSystem.hpp File Reference

base file system interface header More...

`#include "deGlobalTypes.hpp"`

Include dependency graph for deFileSystem.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds
class | IdeFileSystem
| base interface class for all filesystems. More...
class | IdeFSReal
class | IdeFSVirtual
## Defines
#define | DEFILESYSTEM_API extern "C" DEDLL_IMPORT
#define | deFSPROGRESS_CONTINUE 0x00000001
#define | deFSPROGRESS_CANCEL 0x00000002
#define | deFSPROGRESS_CANCELCURRENT 0x00000004
#define | deFSPROGRESS_QUIET 0x00000010
#define | deFSCALLBACK_FINISHED 0x00000001
#define | deFSCALLBACK_ERROREXISTS 0x00000002
#define | deFSCALLBACK_ERROROPENED 0x00000003
#define | deFSCALLBACK_ERRORFATAL 0x00000004
#define | deFSCALLBACK_STARTING 0x00000005
#define | deFSCALLBACK_BLOCKMOVED 0x00000006
#define | deFSCALLBACK_RECURSE 0x00000007
#define | deFSCALLBACK_VFSLARGEMOVE 0x00010000
## Typedefs
typedef DWORD(* | deFSPROGRESS )(s64 BytesCopied, s64 FileSize, DWORD FileStatus, const char *SourceFile, const char *DestinationFile)
typedef void * | deFSFindHandle
## Functions
C DEDLL_IMPORT IdeFSReal * | IdeFileSystem_CreateFSReal ()
| create a "real" filesystem - one that's disk-based through the operating system
C DEDLL_IMPORT IdeFSVirtual * | IdeFileSystem_CreateFSVirtual ()
| create a "virtual" filesystem - one that exists within another file

## Detailed Description

base file system interface header

Author:
  Lightning

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  Nov 2001

Author:
  Lightning

Remarks:
  Creation

Date:
  Dec 2002

Author:
  kurifu

Remarks:
  File finding handles

## Define Documentation

#define DEFILESYSTEM_API extern "C" DEDLL_IMPORT

#define deFSCALLBACK_BLOCKMOVED 0x00000006

#define deFSCALLBACK_ERROREXISTS 0x00000002

#define deFSCALLBACK_ERRORFATAL 0x00000004

#define deFSCALLBACK_ERROROPENED 0x00000003

#define deFSCALLBACK_FINISHED 0x00000001

#define deFSCALLBACK_RECURSE 0x00000007

#define deFSCALLBACK_STARTING 0x00000005

#define deFSCALLBACK_VFSLARGEMOVE 0x00010000

#define deFSPROGRESS_CANCEL 0x00000002

#define deFSPROGRESS_CANCELCURRENT 0x00000004

#define deFSPROGRESS_CONTINUE 0x00000001

#define deFSPROGRESS_QUIET 0x00000010

## Typedef Documentation

typedef void* deFSFindHandle

typedef DWORD(* deFSPROGRESS)(s64 BytesCopied, s64 FileSize, DWORD FileStatus, const char *SourceFile, const char *DestinationFile)

## Function Documentation

C DEDLL_IMPORT IdeFSReal* IdeFileSystem_CreateFSReal | ( |  | ) |

| create a "real" filesystem - one that's disk-based through the operating system

C DEDLL_IMPORT IdeFSVirtual* IdeFileSystem_CreateFSVirtual | ( |  | ) |

| create a "virtual" filesystem - one that exists within another file